"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
var _exportNames = {
  OMIT_BATCH: true,
  STOP_BATCH: true
};
exports.STOP_BATCH = exports.OMIT_BATCH = exports.default = void 0;

var _createAdapter2 = _interopRequireDefault(require("./create-adapter"));

var _withPerformanceTracer = _interopRequireDefault(require("./with-performance-tracer"));

var _wrapConnect = _interopRequireDefault(require("./wrap-connect"));

var _wrapDisconnect = _interopRequireDefault(require("./wrap-disconnect"));

var _wrapDispose = _interopRequireDefault(require("./wrap-dispose"));

var _wrapOperation = _interopRequireDefault(require("./wrap-operation"));

var _types = require("./types");

Object.keys(_types).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function () {
      return _types[key];
    }
  });
});

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const createAdapter = _createAdapter2.default.bind(null, {
  withPerformanceTracer: _withPerformanceTracer.default,
  wrapConnect: _wrapConnect.default,
  wrapDisconnect: _wrapDisconnect.default,
  wrapDispose: _wrapDispose.default,
  wrapOperation: _wrapOperation.default
});

var _default = createAdapter;
exports.default = _default;
const OMIT_BATCH = Symbol('OMIT_BATCH');
exports.OMIT_BATCH = OMIT_BATCH;
const STOP_BATCH = Symbol('STOP_BATCH');
exports.STOP_BATCH = STOP_BATCH;
//# sourceMappingURL=index.js.map